"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.NotAuthorizedError = void 0;
const custom_error_1 = require("./custom-error");
class NotAuthorizedError extends custom_error_1.CustomError {
    constructor() {
        // Calling the parent class constructor as this is a constructor of sub-class
        super("Not Authorised.");
        this.statusCode = 401;
        // Since we are extending a built-in class (Error) the following line of cade has to be added
        Object.setPrototypeOf(this, NotAuthorizedError.prototype);
    }
    serializeErrors() {
        return [{ message: "Not Authorised." }];
    }
}
exports.NotAuthorizedError = NotAuthorizedError;
