"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.currentUser = void 0;
const jsonwebtoken_1 = __importDefault(require("jsonwebtoken"));
const currentUser = (req, res, next) => {
    var _a;
    if (!((_a = req.session) === null || _a === void 0 ? void 0 : _a.jwt)) {
        // If there is no jwt, pass on to the next function
        return next();
    }
    // If there is a jwt present
    try {
        const payload = jsonwebtoken_1.default.verify(req.session.jwt, process.env.JWT_KEY);
        // If the jwt is successfully verified, return the payload.
        req.currentUser = payload;
    }
    catch (err) {
        // jwt.verify is going to throw error, if the token validation fails.
        // It can be ignored as we have nothing to do in this middleware about this particular error.
    }
    next();
};
exports.currentUser = currentUser;
